Bug 1730371 - report template schedule with mail to paramaeter doesn't show job id in hammer
Summary: report template schedule with mail to paramaeter doesn't show job id in hammer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Oleh Fedorenko
QA Contact: tstrych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-16 14:30 UTC by tstrych
Modified: 2020-04-14 13:25 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 27341 0 Normal Closed report template schedule with mail to paramaeter doesn't show job id in hammer 2020-09-21 05:28:17 UTC
Red Hat Product Errata RHSA-2020:1454 0 None None None 2020-04-14 13:25:03 UTC

Description tstrych 2019-07-16 14:30:17 UTC
Description of problem:
hammer report template schedule with mail to parameter doesn't show job id

Version-Release number of selected component (if applicable):
Satellite 6.6 snap 7

How reproducible:
Always

Steps to Reproduce:
1. create some report template
2. run command 
   hammer report-template schedule --name test --mail-to root@localhost

Actual results:

example:
hammer report-template schedule --name test
The report has been scheduled. Job ID: 52f3e990-d395-420a-b025-289698197a01
this works correctly

hammer report-template schedule --name test --mail-to root@localhost
The report has been scheduled. Job ID:  (missing id!!)
this command doesn't show any id


Expected results:
hammer report-template schedule --name test --mail-to root@localhost
The report has been scheduled. Job ID:  (job-id-is-written)


Additional info:
Not sure if this is bug for hammer, but I found it here, please if I should choose another component please let me know. (future improvement)

Comment 3 tstrych 2019-07-16 15:14:27 UTC
If the JOB ID should be send only via email, I would expect result: The report has been scheduled. (without Job ID:)

Comment 4 Oleh Fedorenko 2019-07-18 11:45:16 UTC
Created redmine issue https://projects.theforeman.org/issues/27341 from this bug

Comment 5 Bryan Kearney 2019-07-18 14:02:15 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27341 has been resolved.

Comment 6 tstrych 2020-02-27 17:16:46 UTC
I test this with snap 13 - (fixed in: hammer-cli-foreman-0.18.0, my sat 6.7 snap 13 with newer version, concretely hammer_cli_foreman-0.19.6) 

Fixed.

hammer report-template schedule --name test --mail-to root@localhost 
The report has been scheduled. Job ID: 0709ac4e-b815-4ee4-9e78-6cf3c1625fc6

Verified.

Comment 9 errata-xmlrpc 2020-04-14 13:24:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.